#3486 PUTTMOON: Error on "Bear Stormin" machine

closed-fixed
kirben
5
2008-01-04
2007-12-08
No

ScummVM 0.11.0svn (Dec 8 2007 08:51:43)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

When PuttPutt uses the "Bear Stormin" machine in the
"Dust Diner" the error

(33:208:0x88A5): redimArray: array 36 redim mismatch!

happens. I also had one with a different number

(33:208:0x88A5): redimArray: array 32 redim mismatch!

when entering and using later in the game.

I doubt it's release critical because not needed to
finish the game(?)

PuttPutt Goes to the Moon (3DO/English)

AmigaOS4
gcc version 4.0.2 (AmigaOS build 20051012)

Discussion

  • Hubert Maier

    Hubert Maier - 2007-12-08

    Use the Bear Stormin machine

     
  • kirben

    kirben - 2007-12-08
    • summary: PUTTMOON: Error on "Bear Stormin" machine --> PUTTMOON 3DO: Error on "Bear Stormin" machine
     
  • kirben

    kirben - 2008-01-03
    • assigned_to: nobody --> kirben
     
  • kirben

    kirben - 2008-01-03

    Logged In: YES
    user_id=34715
    Originator: NO

    There was an endian issue in the redimArray() function, for HE60/61 games. Try the next daily snapshot of ScummVM SVN.

     
  • Hubert Maier

    Hubert Maier - 2008-01-04

    Logged In: YES
    user_id=1944098
    Originator: YES

    Fixed, thanks Kirben

     
  • kirben

    kirben - 2008-01-04
    • summary: PUTTMOON 3DO: Error on "Bear Stormin" machine --> PUTTMOON: Error on "Bear Stormin" machine
    • status: open --> closed-fixed